gnutls_ia_generate_challenge(3)

NAME
gnutls_ia_generate_challenge - API function

SYNOPSIS
#include <gnutls/extra.h>

int gnutls_ia_generate_challenge(gnutls_session_t session, size_t buffer_size, char * buffer);

ARGUMENTS

gnutls_session_t session
    is a gnutls_session_t structure.

size_t buffer_size
    size of output buffer.

char * buffer
    pre-allocated buffer to contain buffer_size bytes of output.

DESCRIPTION
Generate an application challenge that the client cannot control or predict, based on the TLS/IA inner secret.

RETURN VALUE
Returns 0 on success, or an negative error code.

REPORTING BUGS
Report bugs to <bug-gnutls@gnu.org>.

COPYRIGHT
Copyright © 2004 Free Software Foundation.
Permission is granted to make and distribute verbatim copies of this manual provided the copyright notice and this permission notice are preserved on all copies.

SEE ALSO
The full documentation for gnutls is maintained as a Texinfo manual. If the info and gnutls programs are properly installed at your site, the command

    info gnutls

should give you access to the complete manual.